/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.text;

import java.nio.charset.Charset;

public final class Charsets {
    
    private Charsets() {
        // utility class        
    }

    public static final Charset US_ASCII = Charset.forName("US-ASCII");

    public static final Charset ISO88591 = Charset.forName("ISO-8859-1");

    public static final Charset UTF8 = Charset.forName("UTF-8");

    public static final Charset UTF16BE = Charset.forName("UTF-16BE");

    public static final Charset UTF16LE = Charset.forName("UTF-16LE");

    public static final Charset UTF16 = Charset.forName("UTF-16");
    
    public static final Charset UTF32 = Charset.forName("UTF-32");

    public static final Charset PL_DOS = Charset.forName("IBM852");

    public static final Charset PL_ISO = Charset.forName("ISO-8859-2");

    public static final Charset PL_WINDOWS = Charset.forName("windows-1250");

    public static final Charset MAZOVIA = MazoviaCharset.CHARSET;

}
